ru.bitel.bgbilling.kernel.contract.autopayment.server.bean

## Class ContractAutopaymentManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.bgbilling.kernel.contract.autopayment.server.bean.ContractAutopaymentManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class ContractAutopaymentManager
      extends ru.bitel.common.dao.AbstarctDaoConstant
      implements java.lang.AutoCloseable

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractAutopaymentManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanForContract(int contractId)`
    `void` | `close()`
    `protected ContractAutopayment` | `getFromResultSet(java.sql.ResultSet resultSet)`
    `static boolean` | `isContractAutopaymentEnabled(java.sql.Connection con, int moduleId, int contractId)`
    `boolean` | `isEnabled(int contractId)`
    `boolean` | `isEnabled(int contractId, java.util.Date onDate)`
    `void` | `searchContractAutopayment(SearchResult<ContractAutopayment> searchResult, int contractId)`
    `boolean` | `setEnabled(int contractId, boolean enabled, int userId)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractAutopaymentManager

          public ContractAutopaymentManager(java.sql.Connection con,
                                            int moduleId)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled(int contractId)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### isEnabled

          public boolean isEnabled(int contractId,
                                   java.util.Date onDate)
                            throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setEnabled

          public boolean setEnabled(int contractId,
                                    boolean enabled,
                                    int userId)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchContractAutopayment

          public void searchContractAutopayment(SearchResult<ContractAutopayment> searchResult,
                                                int contractId)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### cleanForContract

          public void cleanForContract(int contractId)
                                throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromResultSet

          protected ContractAutopayment getFromResultSet(java.sql.ResultSet resultSet)
                                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### isContractAutopaymentEnabled

          public static boolean isContractAutopaymentEnabled(java.sql.Connection con,
                                                             int moduleId,
                                                             int contractId)
                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`